tigase.jaxmpp.android.xml

## Class ParcelableElement

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.DefaultElement
  - - tigase.jaxmpp.android.xml.ParcelableElement

- All Implemented Interfaces:
    android.os.Parcelable, Element

      public class ParcelableElement
      extends DefaultElement
      implements android.os.Parcelable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `android.os.Parcelable.Creator<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static android.os.Parcelable.Creator<ParcelableElement>` | `CREATOR`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParcelableElement(String name)`
    `ParcelableElement(String name, String value, String xmlns)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `describeContents()`
    `static ParcelableElement` | `fromElement(Element element)`
    `void` | `writeToParcel(android.os.Parcel dest, int flags)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.DefaultElement

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CREATOR

          public static final android.os.Parcelable.Creator<ParcelableElement> CREATOR

  - ### Constructor Detail

    - #### ParcelableElement

          public ParcelableElement(String name)

    - #### ParcelableElement

          public ParcelableElement(String name,
                                   String value,
                                   String xmlns)

  - ### Method Detail

    - #### fromElement

          public static final ParcelableElement fromElement(Element element)
                                                     throws XMLException

      Throws:
        `XMLException`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `android.os.Parcelable`

    - #### writeToParcel

          public void writeToParcel(android.os.Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `android.os.Parcelable`

Copyright © 2006–2023 Tigase. All rights reserved.